varying vec3 vTexcoord;
uniform samplerCube uCubemap;
uniform vec3 uWorldPosition;
uniform float uOpacity;

void main() {
    gl_FragColor = vec4(textureCube(uCubemap, normalize(vTexcoord - uWorldPosition)).xyz, clamp(uOpacity * 4.0 - 3.0, 0.0, 1.0));
}